.toggle_hover_link{
    position: relative;
    .toggle_hover_link-display{
        position: relative;
    }
    .toggle_hover_link-hidden{
        position: absolute;
        display: none;
        list-style: none;
    }
    &:hover{
        >.toggle_hover_link-hidden{
            display: block;
            width: max-content;
            animation: slideToBottom 0.3s;
            animation-timing-function: ease-in-out;
            top: 100%;
            margin-top: 0px;
            padding-left: 0px;
            .toggle_hover_link-hiddenRight{
                &:hover{
                    >.toggle_hover_link-hidden{
                        display: block;
                        top: 0;
                        left: 100%;
                        animation: slideToRight 0.3s;
                        animation-timing-function: ease-in-out;
                    }
                }
            }
            .toggle_hover_link-hiddenLeft{
                &:hover{
                    >.toggle_hover_link-hidden{
                        display: block;
                        top: 0;
                        right: 100%;
                        animation: slideToLeft 0.3s;
                        animation-timing-function: ease-in-out;
                    }
                }
            }
        }
    }
}

@keyframes slideToBottom{
    0%{
        top: 0;
    }
    50%{
        top: 50%;
    }
    100%{
        top: 100%;
    }
}
@keyframes slideToLeft{
    0%{
        right: 200%;
    }
    50%{
        right: 150%;
    }
    100%{
        right: 100%;
    }
}
@keyframes slideToRight{
    0%{
        left: 200%;
    }
    50%{
        left: 150%;
    }
    100%{
        left: 100%;
    }
}
